#
# spec file for package gnome-terminal (Version 2.12.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidn libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils qt3 rcs readline resmgr rpm sed sgml-skel shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim vte vte-devel xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-terminal
BuildRequires:  gnutls-devel intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser startup-notification-devel update-desktop-files vte-devel
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/X11/Terminals
Autoreqprov:    on
Obsoletes:      gnome-core
Version:        2.12.0
Release:        23.2
Summary:        The GNOME 2.x Desktop Terminal
Source:         gnome-terminal-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Patch1:         gnome-terminal-defaults.patch
Patch2:         gnome-terminal-force-terminal-draw.patch
Patch4:         gnome-terminal-desktop.patch
Patch5:         %{name}-uninited-vars.patch

%description
This package contains the GNOME 2.x Desktop Terminal program. It is
handy for quick tasks on the command line.



%debug_package
%prep
%setup -n gnome-terminal-%{version} 
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3 \
    --enable-platform-gnome2
make 

%install
make -i install DESTDIR=$RPM_BUILD_ROOT
echo DocPath=gnome-terminal >> $RPM_BUILD_ROOT/opt/gnome/share/applications/gnome-terminal.desktop
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%suse_update_desktop_file -G "Command Line Terminal" %name TerminalEmulator
%find_lang %{name}

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-terminal.schemas >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/applications/gnome-terminal.desktop
# %{prefix}/share/gnome/help/gnome-terminal
%{prefix}/%_lib/bonobo/servers/gnome-terminal.server
/etc/opt/gnome/gconf/schemas/gnome-terminal.schemas
%{prefix}/share/pixmaps/gnome-terminal.png
%dir %{prefix}/share/gnome-terminal
%dir %{prefix}/share/gnome-terminal/glade
%{prefix}/share/gnome-terminal/glade/gnome-terminal.glade2
%{prefix}/bin/gnome-terminal
%{prefix}/share/application-registry/gnome-terminal.applications

%changelog -n gnome-terminal
* Tue Mar 07 2006 - gekker@suse.de
- Disable menu accelerators by default (#143086)
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 06 2005 - jpr@suse.de
- Update to version 2.12.0
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.2
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 2.11.1
- Fix uninitialized variables
* Tue Mar 22 2005 - sbrabec@suse.cz
- Reverted TERM to xterm (#73798).
* Wed Mar 16 2005 - clahey@suse.de
- Change desktop Name to Gnome Terminal.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- update version to 2.9.3
* Thu Jan 20 2005 - gekker@suse.de
- Update version to 2.9.2
* Thu Nov 25 2004 - ro@suse.de
- added suse_update_desktop_file
* Mon Nov 22 2004 - sbrabec@suse.cz
- Set TERM=gnome. It fixes screen garbling in mutt (#43189).
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Fri Aug 27 2004 - clahey@suse.de
- Cache gnome-terminal help and show gnome-terminal in khelpcenter.
* Wed May 12 2004 - clahey@suse.de
- Upgraded to 2.6.0.
- Upgraded patches.
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Feb 25 2004 - hhetter@suse.de
- remove schema patch, obsoleted by new one
- include gnome-terminal-defaults.patch: don't use
  system font, don't use mnemonics in the menubar
* Mon Feb 16 2004 - hhetter@suse.de
- install schemas in %%post and %%postun
* Sat Jan 10 2004 - adrian@suse.de
- fix build as user
* Tue Nov 11 2003 - hhetter@suse.de
- updated to version 2.4.2
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Mon Sep 29 2003 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME2.4]
* Mon Sep 22 2003 - sbrabec@suse.cz
- Obsolete gnome-core (bug #31480),
* Mon Sep 08 2003 - sbrabec@suse.cz
- Use RPM_OPT_FLAGS.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Clean-up of neededforbuild.
* Mon Jun 30 2003 - ro@suse.de
- use gnome2-devel-packages in neededforbuild
- use find_lang
- added directories to filelist
* Wed Feb 12 2003 - hhetter@suse.de
- don't used font size from system fonts but use
  the font specified in the schema file for the
  default profile
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0
- fix kde datadir
* Thu Jan 16 2003 - sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.2 [GNOME 2.0.3]
- removed crash-on-restore.dif as it is upstream
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Sep 13 2002 - sbrabec@suse.cz
- updated to version 2.0.1
- Fix for crash on session restore (post-2.0.1 fix from CVS).
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Jun 18 2002 - hhetter@suse.de
- fix schema file install
* Mon Jun 17 2002 - ro@suse.de
- use libpng-devel-packages in neededforbuild
* Fri Jun 14 2002 - hhetter@suse.de
- updated to version 2.0.0
- provide schema file
* Wed Jun 05 2002 - hhetter@suse.de
- initial SuSE Release 1.9.7
